CsiAdaptorProtocolPBServiceImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.impl.pb.service, class: CsiAdaptorProtocolPBServiceImpl

Package org.apache.hadoop.yarn.api.impl.pb.service

# Class CsiAdaptorProtocolPBServiceImpl

java.lang.Object
org.apache.hadoop.yarn.api.impl.pb.service.CsiAdaptorProtocolPBServiceImpl

All Implemented Interfaces:
  `org.apache.hadoop.yarn.api.CsiAdaptorPB`, `org.apache.hadoop.yarn.proto.CsiAdaptorProtocol.CsiAdaptorProtocolService.BlockingInterface`

public class CsiAdaptorProtocolPBServiceImpl extends Object implements org.apache.hadoop.yarn.api.CsiAdaptorPB
CSI adaptor server side implementation, this is hosted on a node manager.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CsiAdaptorProtocolPBServiceImpl(org.apache.hadoop.yarn.api.CsiAdaptorProtocol impl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.proto.CsiAdaptorProtos.GetPluginInfoResponse`
  `getPluginInfo(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.CsiAdaptorProtos.GetPluginInfoRequest request)`
  `org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodePublishVolumeResponse`
  `nodePublishVolume(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodePublishVolumeRequest request)`
  `org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodeUnpublishVolumeResponse`
  `nodeUnpublishVolume(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodeUnpublishVolumeRequest request)`
  `org.apache.hadoop.yarn.proto.CsiAdaptorProtos.ValidateVolumeCapabilitiesResponse`
  `validateVolumeCapacity(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.CsiAdaptorProtos.ValidateVolumeCapabilitiesRequest request)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CsiAdaptorProtocolPBServiceImpl

    public CsiAdaptorProtocolPBServiceImpl(org.apache.hadoop.yarn.api.CsiAdaptorProtocol impl)

- ## Method Details

  - ### getPluginInfo

    public org.apache.hadoop.yarn.proto.CsiAdaptorProtos.GetPluginInfoResponse getPluginInfo(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.CsiAdaptorProtos.GetPluginInfoRequest request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getPluginInfo` in interface `org.apache.hadoop.yarn.proto.CsiAdaptorProtocol.CsiAdaptorProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### validateVolumeCapacity

    public org.apache.hadoop.yarn.proto.CsiAdaptorProtos.ValidateVolumeCapabilitiesResponse validateVolumeCapacity(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.CsiAdaptorProtos.ValidateVolumeCapabilitiesRequest request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `validateVolumeCapacity` in interface `org.apache.hadoop.yarn.proto.CsiAdaptorProtocol.CsiAdaptorProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### nodePublishVolume

    public org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodePublishVolumeResponse nodePublishVolume(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodePublishVolumeRequest request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `nodePublishVolume` in interface `org.apache.hadoop.yarn.proto.CsiAdaptorProtocol.CsiAdaptorProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### nodeUnpublishVolume

    public org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodeUnpublishVolumeResponse nodeUnpublishVolume(org.apache.hadoop.thirdparty.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.CsiAdaptorProtos.NodeUnpublishVolumeRequest request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `nodeUnpublishVolume` in interface `org.apache.hadoop.yarn.proto.CsiAdaptorProtocol.CsiAdaptorProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`